# class RDoc::ERBPartial

frozen_string_literal: false

Allows an ERB template to be rendered in the context (binding) of an existing ERB template evaluation.

### Public Instance Methods

set_eoutvar(compiler, eoutvar = '_erbout') click to toggle source

Overrides `compiler` startup to set the `eoutvar` to an empty string only if it isn't already set.

Calls superclass method

    # File lib/rdoc/erb_partial.rb, line 12
    def set_eoutvar compiler, eoutvar = '_erbout'
      super

      compiler.pre_cmd = ["#{eoutvar} ||= ''"]
    end